#include "list_int.h"

struct list_int {
        int data;
        struct list_int* next;
        struct list_int* prev;
}

struct list_int* list_int_new() {
        struct list_int* s = malloc(sizeof(struct list_int));
        if (!s) return s;
        s->prev = NULL;
        s->next = NULL;
        s->data = 'S';
}

void list_int_delete(struct list_int* list) {
}


list_int_iterator list_int_erase(list_int_iterator i) {
        if (i->next != i) {
                struct list_int* m = i->next;


